import request from '@/utils/request'

//查询客户列表
export function selectList(data) {
  return request({
    url: "/pay/customer/list",
    method: "POST",
    data: data
  })
}

//获取未入住的code
export function customerAll(data) {
  return request({
    url: "/pay/customer/all",
    method: "GET",
    data: data
  })
}

//添加
export function save(data) {
  return request({
    url: "/pay/customer",
    method: "POST",
    data: data
  })
}

//修改
export function update(data) {
  return request({
    url: `/pay/customer/${data.id}`,
    method: "PUT",
    data: data
  })
}

//获取单条
export function get(id) {
  return request({
    url: "/pay/customer/" + id,
    method: "GET",
  })
}

//客户信息删除
export function del(id) {
  return request({
    url: `/pay/customer/${id}`,
    method: "DELETE",
  })
}

//通过id启用客户
export function enable(id) {
  return request({
    url: `/pay/customer/enable/${id}`,
  })
}

//通过id禁用客户
export function disable(id) {
  return request({
    url: `/pay/customer/disable/${id}`,
  })
}
